import * as belliniApi from '@bellini/api';

export const getArticleUrl = (articleArg: belliniApi.IBelliniClientState['articles'][0]) => {
  const articleUrl = `/article/${articleArg.belliniId}/${encodeURIComponent(articleArg.title.toLowerCase().replace(/\s/g, '-'))}`;
  return articleUrl;
};
